summaryrefslogtreecommitdiffstats
path: root/libraries/wxGTK3/wxGTK3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/wxGTK3/wxGTK3.SlackBuild')
-rw-r--r--libraries/wxGTK3/wxGTK3.SlackBuild68
1 files changed, 52 insertions, 16 deletions
diff --git a/libraries/wxGTK3/wxGTK3.SlackBuild b/libraries/wxGTK3/wxGTK3.SlackBuild
index 43a7241a66..04ec33a820 100644
--- a/libraries/wxGTK3/wxGTK3.SlackBuild
+++ b/libraries/wxGTK3/wxGTK3.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for wxGTK3
-# Copyright 2013-2018 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2013-2021 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220416 bkw: Modified by SlackBuilds.org, BUILD=4:
+# - only build HTML docs if requested, since it's time-consuming,
+# requires optional dep graphviz, and 99.9% of users will never
+# read them (they're developer docs, not end-user docs).
+# - spelling/grammar/formatting fixes in README.
+
+# 20220414 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - actually generate and install HTML documentation.
+# - use relative symlink in /usr/bin.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=wxGTK3
-VERSION=${VERSION:-3.0.4}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.0.5}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
SRCNAM=wxWidgets
@@ -37,7 +50,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -64,7 +81,7 @@ else
fi
# Check for WebKit
-webkit=`pkg-config --exists webkit-1.0`
+webkit=`pkg-config --exists webkit2gtk-4.0`
if [ "$?" -eq 0 ]; then
wk="--enable-webkit"
else
@@ -89,9 +106,9 @@ cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -102,7 +119,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-mediactrl \
--with-opengl \
--enable-graphics_ctx \
- --with-gtk=2 \
+ --with-gtk=3 \
--enable-unicode \
--enable-plugins \
--enable-ipv6 \
@@ -119,20 +136,39 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Now let's fix the broken symlink created by the package
-if [ "${STATIC:-no}" = "yes" ]; then
-ln -fs /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-unicode-static-3.0 \
- $PKG/usr/bin/wx-config
+linksrc=gtk3-unicode-3.0
+[ "${STATIC:-no}" = "yes" ] && linksrc=gtk3-unicode-static-3.0
+
+ln -sf ../lib${LIBDIRSUFFIX}/wx/config/$linksrc $PKG/usr/bin/wx-config
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# 20220414 bkw: instead of installing the *source* to the doxygen docs,
+# actually run doxygen and install the generated HTML docs.
+# This is only done if the users asks for it.
+# The "|| true" stuff is meant to keep errors in the documentation from
+# killing the build. DOT_NUM_THREADS=1 may slow things down a bit on
+# well-endowed hosts, but it prevents running out of memory on lesser ones.
+# Don't try to generate the API docs if graphviz is missing.
+if [ "${APIDOC:-no}" = "yes" ] && which dot &> /dev/null; then
+ echo "=== APIDOC=yes and graphviz exists, building API docs"
+ cd docs/doxygen
+ echo 'DOT_NUM_THREADS = 1' >> Doxyfile
+ GENERATE_LATEX=NO doxygen || true
+ mv out/html $PKG/usr/doc/$PRGNAM-$VERSION/api || true
+ cd -
else
- ln -fs /usr/lib${LIBDIRSUFFIX}/wx/config/gtk2-unicode-3.0 \
- $PKG/usr/bin/wx-config
+ echo "=== not building API docs"
fi
+rm -rf docs/doxygen
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -f $PKG/usr/lib*/*.la
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE